Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Get annotations
Try this endpoint
app.langwatch.ai
API key · X-Auth-Token
Kept in this tab. Cleared when you reload.
Request and response examples
request.py
import osimport requestsorigin = "https://app.langwatch.ai"path = "/api/v1/annotations"api_key = os.environ["LANGWATCH_API_KEY"]headers = { "X-Auth-Token": api_key,}response = requests.get( origin + path, headers=headers,)print(response.json())const url = "https://app.langwatch.ai/api/v1/annotations";const response = await fetch(url, { method: "GET", headers: { "X-Auth-Token": process.env.LANGWATCH_API_KEY!, },});const data = await response.json();curl --request GET \ --url 'https://app.langwatch.ai/api/v1/annotations' \ --header "X-Auth-Token: $LANGWATCH_API_KEY"Success
application/json · Generated from schema
{ "data": [ { "id": "string", "projectId": "string", "traceId": "string", "userId": "string", "email": "string", "comment": "string", "isThumbsUp": false, "scoreOptions": {}, "expectedOutput": "string", "anchorKind": "string", "anchorId": "string", "anchorPath": "string", "createdAt": "2026-01-01T00:00:00Z", "updatedAt": "2026-01-01T00:00:00Z" } ]}Query parameters
anchorstringResponses
200Success
application/json
dataobject[]required